Subject: Re: [PATCH v3 00/20] refs backend rebase on pu

From: David Turner <[email-masked]>
Date: Thu, 04 Feb 2016 16:39:29 -0500

On Thu, 2016-02-04 at 17:09 +0700, Duy Nguyen wrote:
> On Wed, Feb 3, 2016 at 3:08 AM, David Turner <
> [email-masked]> wrote:
> > Are there any more reviews on this?  I do have some changes from
> > this
> > set, but they're pretty minor so I don't want to post a new one
> > (unless
> > folks would rather see those changes before reviewing).  Let me
> > know.
> 
> I think you need to keep "refs" directory back somehow. Without it
> (e.g. "git init --ref-storage=lmdb" does not create "refs"),
> is_git_directory() from _old_ git versions fails to recognize this is
> a good repository. So instead of dying on finding an unsupported
> repository, setup code keeps on looking for another repository in
> parent directories. If I accidentally run "git add something" with an
> old binary, "something" could be added to a wrong repository. Very
> confusing.

I went ahead and changed this.  Doing so seems to cause old versions of
git to recognize this as a git repo with an unknown version, which is
what we want.  Thanks.